package bazy.sqlite;

import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Objects;

import javax.swing.JOptionPane;

public class WypiszWybranych1 {

	public static void main(String[] args) {
		String kogoSzukac = JOptionPane.showInputDialog("Podaj job_id:");

		// program ma na konsolę wypisać tylko tych pracowników, którzy mają takie
		// job_id jak podał użytkownik

		final String url = "jdbc:sqlite:hr.db";

		try (Connection c = DriverManager.getConnection(url)) {

			try (PreparedStatement stmt = c.prepareStatement("SELECT * FROM employees")) {

				try (ResultSet rs = stmt.executeQuery()) {

					while (rs.next()) {
						String jobId = rs.getString("job_id");
						
						if(Objects.equals(jobId, kogoSzukac)) {
							String imie = rs.getString("first_name");
							String nazwisko = rs.getString("last_name");
							BigDecimal pensja = rs.getBigDecimal("salary");
							System.out.println(imie + " " + nazwisko + " (" + jobId + ") zarabia " + pensja);
						}
					}
				}
			}

		} catch (SQLException e) {
			e.printStackTrace();
		}

	}

}
